# -*- coding: utf-8 -*-
from django.db import models

class Categories(models.Model):
    Title = models.CharField(maxlength=40, null=False)

class TagModel(models.Model):
    Title = models.CharField(maxlength=20, null=False)

class Entries(models.Model):
    Title = models.CharField(maxlength=80, null=False)
    Content = models.TextField(null=False)
    created = models.DateTimeField(auto_now_add=True, auto_now=True)    
    Category = models.ForeignKey(Categories)
    Tags = models.ManyToManyField(TagModel)
    Comments = models.PositiveSmallIntegerField(default=0, null=True)

class Comments(models.Model):
    Name = models.CharField(maxlength=20, null=False)
    Password = models.CharField(maxlength=32, null=False)
    Content = models.TextField(maxlength=2000, null=False)
    created = models.DateTimeField(auto_now_add=True, auto_now=True)    
    Entry = models.ForeignKey(Entries)
